
#include <stdio.h>
#include <stdlib.h>

static void	Error(msg)
char		*msg;
{
	fputs(msg,stderr); fputc('\n',stderr); exit(1);
}

static FILE	*hp;

#define Get1()	fgetc(hp)

static int	Get2()
{
	int	lo,hi;

	return ((lo=Get1())==EOF || (hi=Get1())==EOF)?-1:(hi<<8)|lo;
}

int	main(argc,argv)
int	argc;
char	**argv;
{
	int	w,l;

	if (argc!=1 && argc!=2) Error("usage : hp2wl {HiPic}");

	if (argc==1)
	    hp=stdin;
	else
	    if ((hp=fopen(argv[1],"rb"))==NULL) Error("file not found.");

	if (Get1()!='I' || Get1()!='M') Error("bad magic number.");

	(void)Get2();	/* comment length */

	w=Get2(); l=Get2(); printf("%d\t%d\n",w,l);

	if (hp!=stdin) fclose(hp); return 0;
}
